Remove Labels from Conversation
curl --request DELETE \
--url https://api.lemlist.com/api/inbox/conversations/labels/{contactId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"labelIds": [
"lbl_uPAAgsi4oi9juBHfW"
]
}
'import requests
url = "https://api.lemlist.com/api/inbox/conversations/labels/{contactId}"
payload = { "labelIds": ["lbl_uPAAgsi4oi9juBHfW"] }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({labelIds: ['lbl_uPAAgsi4oi9juBHfW']})
};
fetch('https://api.lemlist.com/api/inbox/conversations/labels/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/inbox/conversations/labels/{contactId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"labelIds\": [\n \"lbl_uPAAgsi4oi9juBHfW\"\n ]\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/inbox/conversations/labels/{contactId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'labelIds' => [
'lbl_uPAAgsi4oi9juBHfW'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true
}"Invalid request body: labelIds must be an array""The authentication you supplied is incorrect""Label not found"Inbox
Remove Labels from Conversation
Removes one or more labels from one conversation.
DELETE
/
inbox
/
conversations
/
labels
/
{contactId}
Remove Labels from Conversation
This endpoint uses the Label object.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Contact ID
Body
application/json
Array of label IDs to remove
Response
Success
Was this page helpful?
⌘I